
slintro-sql: 
	pdflatex   -shell-escape "\newcommand\titreDiapos{Notions de base}\newcommand\inputFile{slintro-sql}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slintro-sql.pdf
	make clean

slmodrel:
	pdflatex   -shell-escape "\newcommand\titreDiapos{Mod\`ele relationnel}\newcommand\inputFile{slmodrel}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slmodrel.pdf
	make clean

slcles:
	pdflatex   -shell-escape "\newcommand\titreDiapos{Qualit\\'e d'un sch\\'ema relationnel}\newcommand\inputFile{slcles}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slcles.pdf
	make clean

slexemples:
	pdflatex   -shell-escape "\newcommand\titreDiapos{Deux schémas normalisés}\newcommand\inputFile{slexemples}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slexemples.pdf
	make clean

slnotionslogique:
	pdflatex   -shell-escape "\newcommand\titreDiapos{Quelques notions de logique}\newcommand\inputFile{slnotionslogique}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slnotionslogique.pdf
	make clean

slsqlconjonctif:
	pdflatex   -shell-escape "\newcommand\titreDiapos{SQL conjonctif}\newcommand\inputFile{slsqlconjonctif}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slsqlconjonctif.pdf
	make clean

slnegation:
	pdflatex   -shell-escape "\newcommand\titreDiapos{SQL, quantificateurs et n\\'egation}\newcommand\inputFile{slnegation}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slnegation.pdf
	make clean

slconstrsql:
	pdflatex   -shell-escape "\newcommand\titreDiapos{Construction d'une requ\^ete SQL}\newcommand\inputFile{slconstrsql}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slconstrsql.pdf
	make clean

slalgops:
	pdflatex   -shell-escape "\newcommand\titreDiapos{SQL, langage alg\\'ebrique}\newcommand\inputFile{slalgops}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slalgops.pdf
	make clean

sljointure:
	pdflatex   -shell-escape "\newcommand\titreDiapos{SQL, la jointure}\newcommand\inputFile{sljointure}\input{genslides}"
	mv genslides.pdf ../../ressources-web/sljointure.pdf
	make clean

slexpressions:
	pdflatex   -shell-escape "\newcommand\titreDiapos{Expressions alg\\'ebriques}\newcommand\inputFile{slexpressions}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slexpressions.pdf
	make clean

slintrooptim:
	pdflatex   -shell-escape "\newcommand\titreDiapos{\\'Evaluation et optimisation}\newcommand\inputFile{slintrooptim}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slintrooptim.pdf
	make clean

slblocsql:
	pdflatex   -shell-escape "\newcommand\titreDiapos{SQL: le bloc select-from-where}\newcommand\inputFile{slblocsql}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slblocsql.pdf
	make clean

slagregats:
	pdflatex   -shell-escape "\newcommand\titreDiapos{SQL: agr\\'egation}\newcommand\inputFile{slagregats}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slagregats.pdf
	make clean

slnorm:
	pdflatex   -shell-escape "\newcommand\titreDiapos{La normalisation relationnelle}\newcommand\inputFile{slnorm}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slnorm.pdf
	make clean

slea:
	pdflatex   -shell-escape "\newcommand\titreDiapos{Conception  entit\\'e / association}\newcommand\inputFile{slea}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slea.pdf
	make clean

slea-avance:
	pdflatex   -shell-escape "\newcommand\titreDiapos{Sch\\'emas E/A - Concepts avanc\\'es}\newcommand\inputFile{slea-avance}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slea-avance.pdf
	make clean

slpassage:
	pdflatex   -shell-escape "\newcommand\titreDiapos{Du sch\\'ema  EA au sch\\'ema  relationnel normalis\\'e}\newcommand\inputFile{slpassage}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slpassage.pdf
	make clean
	
slretroing:
	pdflatex   -shell-escape "\newcommand\titreDiapos{Un peu de r\\'etroing\\'enierie}\newcommand\inputFile{slretroing}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slretroing.pdf
	make clean

slddl:
	pdflatex   -shell-escape "\newcommand\titreDiapos{Cr\\'eation d'un sch\\'ema relationnel}\newcommand\inputFile{slddl}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slddl.pdf
	make clean

slvues:
	pdflatex   -shell-escape "\newcommand\titreDiapos{Vues}\newcommand\inputFile{slvues}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slvues.pdf
	make clean
plsql : 
	pdflatex  -shell-escape   "\newcommand\titreDiapos{Proc\\'edures stock\'ees}\newcommand\inputFile{slplsql}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slplsql.pdf
	make clean
slcurseurs : 
	pdflatex  -shell-escape   "\newcommand\titreDiapos{Curseurs}\newcommand\inputFile{slcurseurs}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slcurseurs.pdf
	make clean
sltriggers : 
	pdflatex  -shell-escape   "\newcommand\titreDiapos{Triggers}\newcommand\inputFile{sltriggers}\input{genslides}"
	mv genslides.pdf ../../ressources-web/sltriggers.pdf
	make clean

slcas-conception: 
	pdflatex   -shell-escape "\newcommand\titreDiapos{Conception de la base \`\`Messagerie''}\newcommand\inputFile{slcas-conception}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slcas-conception.pdf
	make clean
slcas-schema: 
	pdflatex   -shell-escape "\newcommand\titreDiapos{Sch\\'ema de la base \`\`Messagerie''}\newcommand\inputFile{slcas-schema}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slcas-schema.pdf
	make clean
slcas-requetes: 
	pdflatex   -shell-escape "\newcommand\titreDiapos{Interrogation de la base \`\`Messagerie''}\newcommand\inputFile{slcas-requetes}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slcas-requetes.pdf
	make clean
slcas-python: 
	pdflatex   -shell-escape "\newcommand\titreDiapos{Programmation avec la base \`\`Messagerie''}\newcommand\inputFile{slcas-python}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slcas-python.pdf
	make clean
slcas-transaction: 
	pdflatex   -shell-escape "\newcommand\titreDiapos{Transactions sur la base \`\`Messagerie''}\newcommand\inputFile{slcas-transaction}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slcas-transaction.pdf
	make clean
slcas-orm: 
	pdflatex   -shell-escape "\newcommand\titreDiapos{Environnements objets et bases relationnelles}\newcommand\inputFile{slcas-orm}\input{genslides}"
	mv genslides.pdf ../../ressources-web/slcas-orm.pdf
	make clean

PARTS = $(wildcard tex/*.tex)
FIGURES = $(wildcard fi-*.fig)
FIGURESPS = ${FIGURES:.fig=.eps}
SERVEUR=http://magellan.cnam.fr:8080/ecom/xml/officiel/Samples

.PREFIXES: se- $(PREFIXES)
.SUFFIXES: .fig .tex .ps .pa .dvi .xml .html .view $(SUFFIXES)

.fig.ps:
	fig2dev -Lps $< > $*.ps

all:	, slintro-sql


%.dvi: %.tex
	latex  $*.tex

%.pdf: %.ps
	ps2pdf $*.ps

%.ps: %.dvi
	dvips $*.dvi -o

clean:
	\rm -f *.vrb *.aux *.bbl *.blg *.dvi *.log *.ps *.snm *.out *.nav *.toc *~ *.pdf *.pyg*
	rm -Rf _minted*
	
